==> Synchronizing chroot copy [/chroot/x86_64/root] -> [build]...done
==> Making package: packetsender 8.6.5-1 (Sat Jan 20 21:19:55 2024)
==> Retrieving sources...
  -> Found v8.6.5.tar.gz
==> WARNING: Skipping verification of source file PGP signatures.
==> Validating source files with sha512sums...
    v8.6.5.tar.gz ... Passed
==> Making package: packetsender 8.6.5-1 (Sat 20 Jan 2024 09:20:01 PM EST)
==> Checking runtime dependencies...
==> Installing missing dependencies...
[?25lresolving dependencies...
:: There are 2 providers available for dbus-units:
:: Repository core
   1) dbus-broker-units  2) dbus-daemon-units

Enter a number (default=1): 
looking for conflicting packages...
warning: dependency cycle detected:
warning: mesa will be installed before its libglvnd dependency
warning: dependency cycle detected:
warning: harfbuzz will be installed before its freetype2 dependency

Packages (73) argon2-20190702-5  avahi-1:0.8+r194+g3f79789-1
              cryptsetup-2.6.1-3  dbus-1.14.10-2  dbus-broker-35-2
              dbus-broker-units-35-2  default-cursors-2-1
              device-mapper-2.03.23-1  double-conversion-3.3.0-1
              duktape-2.7.0-6  fontconfig-2:2.15.0-2  freetype2-2.13.2-1
              graphite-1:1.3.14-3  harfbuzz-8.3.0-2  hwdata-0.378-1
              kbd-2.6.4-1  kmod-31-1  libcups-1:2.4.7-2  libdaemon-0.14-5
              libdrm-2.4.120-1  libedit-20230828_3.1-1  libevdev-1.13.1-1
              libglvnd-1.7.0-1  libgudev-238-1  libice-1.1.1-2
              libinput-1.25.0-1  libjpeg-turbo-3.0.1-1
              libomxil-bellagio-0.9.3-4  libpciaccess-0.17-1  libpng-1.6.40-2
              libproxy-0.5.3-2  libsm-1.2.4-1  libunwind-1.7.2-1
              libwacom-2.9.0-2  libx11-1.8.7-1  libxau-1.0.11-2  libxcb-1.16-1
              libxdamage-1.1.6-1  libxdmcp-1.1.4-2  libxext-1.3.5-1
              libxfixes-6.0.1-1  libxi-1.8.1-1  libxkbcommon-1.6.0-1
              libxkbcommon-x11-1.6.0-1  libxmu-1.1.4-1  libxrender-0.9.11-1
              libxshmfence-1.3.2-1  libxt-1.3.0-1  libxxf86vm-1.1.5-1
              llvm-libs-16.0.6-1  lm_sensors-1:3.6.0.r41.g31d1f125-2
              md4c-0.5.0-1  mesa-1:23.3.3-1  mtdev-1.1.6-2  popt-1.19-1
              qt5-translations-5.15.12-1  shared-mime-info-2.4-1
              systemd-255.2-3  tslib-1.22-1  vulkan-icd-loader-1.3.274-1
              wayland-1.22.0-1  xcb-proto-1.16.0-1  xcb-util-0.4.1-1
              xcb-util-image-0.4.1-2  xcb-util-keysyms-0.4.1-4
              xcb-util-renderutil-0.3.10-1  xcb-util-wm-0.4.2-1
              xdg-utils-1.2.0r25+g0f49cf5-1  xkeyboard-config-2.40-1
              xorg-xprop-1.2.6-1  xorg-xset-1.2.5-1  xorgproto-2023.2-1
              qt5-base-5.15.12+kde+r147-1

Total Download Size:    86.15 MiB
Total Installed Size:  409.17 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 llvm-libs-16.0.6-1-x86_64 downloading...
 mesa-1:23.3.3-1-x86_64 downloading...
 qt5-base-5.15.12+kde+r147-1-x86_64 downloading...
 systemd-255.2-3-x86_64 downloading...
 libx11-1.8.7-1-x86_64 downloading...
 qt5-translations-5.15.12-1-any downloading...
 hwdata-0.378-1-any downloading...
 kbd-2.6.4-1-x86_64 downloading...
 libxcb-1.16-1-x86_64 downloading...
 xkeyboard-config-2.40-1-any downloading...
 cryptsetup-2.6.1-3-x86_64 downloading...
 shared-mime-info-2.4-1-x86_64 downloading...
 libxt-1.3.0-1-x86_64 downloading...
 avahi-1:0.8+r194+g3f79789-1-x86_64 downloading...
 fontconfig-2:2.15.0-2-x86_64 downloading...
 libglvnd-1.7.0-1-x86_64 downloading...
 libdrm-2.4.120-1-x86_64 downloading...
 libinput-1.25.0-1-x86_64 downloading...
 device-mapper-2.03.23-1-x86_64 downloading...
 libcups-1:2.4.7-2-x86_64 downloading...
 xorgproto-2023.2-1-any downloading...
 libxkbcommon-1.6.0-1-x86_64 downloading...
 duktape-2.7.0-6-x86_64 downloading...
 libxi-1.8.1-1-x86_64 downloading...
 dbus-broker-35-2-x86_64 downloading...
 vulkan-icd-loader-1.3.274-1-x86_64 downloading...
 wayland-1.22.0-1-x86_64 downloading...
 lm_sensors-1:3.6.0.r41.g31d1f125-2-x86_64 downloading...
 xcb-proto-1.16.0-1-any downloading...
 libomxil-bellagio-0.9.3-4-x86_64 downloading...
 kmod-31-1-x86_64 downloading...
 libunwind-1.7.2-1-x86_64 downloading...
 libwacom-2.9.0-2-x86_64 downloading...
 libedit-20230828_3.1-1-x86_64 downloading...
 libxext-1.3.5-1-x86_64 downloading...
 tslib-1.22-1-x86_64 downloading...
 libice-1.1.1-2-x86_64 downloading...
 md4c-0.5.0-1-x86_64 downloading...
 libxmu-1.1.4-1-x86_64 downloading...
 popt-1.19-1-x86_64 downloading...
 libevdev-1.13.1-1-x86_64 downloading...
 xdg-utils-1.2.0r25+g0f49cf5-1-any downloading...
 double-conversion-3.3.0-1-x86_64 downloading...
 libsm-1.2.4-1-x86_64 downloading...
 libgudev-238-1-x86_64 downloading...
 xcb-util-wm-0.4.2-1-x86_64 downloading...
 argon2-20190702-5-x86_64 downloading...
 libxrender-0.9.11-1-x86_64 downloading...
 libproxy-0.5.3-2-x86_64 downloading...
 libxdmcp-1.1.4-2-x86_64 downloading...
 xorg-xprop-1.2.6-1-x86_64 downloading...
 libxkbcommon-x11-1.6.0-1-x86_64 downloading...
 libpciaccess-0.17-1-x86_64 downloading...
 libdaemon-0.14-5-x86_64 downloading...
 xorg-xset-1.2.5-1-x86_64 downloading...
 xcb-util-image-0.4.1-2-x86_64 downloading...
 mtdev-1.1.6-2-x86_64 downloading...
 libxxf86vm-1.1.5-1-x86_64 downloading...
 libxfixes-6.0.1-1-x86_64 downloading...
 xcb-util-0.4.1-1-x86_64 downloading...
 libxau-1.0.11-2-x86_64 downloading...
 xcb-util-renderutil-0.3.10-1-x86_64 downloading...
 xcb-util-keysyms-0.4.1-4-x86_64 downloading...
 libxdamage-1.1.6-1-x86_64 downloading...
 libxshmfence-1.3.2-1-x86_64 downloading...
 dbus-broker-units-35-2-x86_64 downloading...
 default-cursors-2-1-any downloading...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
:: Processing package changes...
installing libjpeg-turbo...
Optional dependencies for libjpeg-turbo
    java-runtime>11: for TurboJPEG Java wrapper
installing xcb-proto...
installing xorgproto...
installing libxdmcp...
installing libxau...
installing libxcb...
installing xcb-util-keysyms...
installing xcb-util-renderutil...
installing libx11...
installing libxext...
installing libpciaccess...
installing libdrm...
Optional dependencies for libdrm
    cairo: needed for modetest tool
installing libunwind...
installing libxfixes...
installing libxdamage...
installing libxshmfence...
installing libxxf86vm...
installing libedit...
installing llvm-libs...
installing lm_sensors...
Optional dependencies for lm_sensors
    rrdtool: for logging with sensord
    perl: for sensor detection and configuration convert [installed]
installing vulkan-icd-loader...
Optional dependencies for vulkan-icd-loader
    vulkan-driver: packaged vulkan driver
installing default-cursors...
Optional dependencies for default-cursors
    adwaita-cursors: default cursor theme
installing wayland...
installing libomxil-bellagio...
installing mesa...
Optional dependencies for mesa
    opengl-man-pages: for the OpenGL API man pages
installing libglvnd...
installing libpng...
installing graphite...
Optional dependencies for graphite
    graphite-docs: Documentation
installing harfbuzz...
Optional dependencies for harfbuzz
    harfbuzz-utils: utilities
installing freetype2...
installing fontconfig...
Creating fontconfig configuration...
Rebuilding fontconfig cache...
installing libice...
installing libsm...
installing libxt...
installing libxmu...
installing xorg-xset...
installing xorg-xprop...
installing xdg-utils...
Optional dependencies for xdg-utils
    kde-cli-tools: for KDE Plasma5 support in xdg-open
    exo: for Xfce support in xdg-open
    pcmanfm: for LXDE support in xdg-open
    perl-file-mimeinfo: for generic support in xdg-open
    perl-net-dbus: Perl extension to dbus used in xdg-screensaver
    perl-x11-protocol: Perl X11 protocol used in xdg-screensaver
installing shared-mime-info...
installing xcb-util-wm...
installing libxrender...
installing libxi...
installing xcb-util...
installing xcb-util-image...
installing tslib...
installing mtdev...
installing device-mapper...
installing popt...
installing argon2...
installing cryptsetup...
installing dbus...
installing dbus-broker...
installing dbus-broker-units...
installing kbd...
installing kmod...
installing hwdata...
installing systemd...
warning: directory permissions differ on /var/log/journal/
filesystem: 755  package: 2755
Creating group 'sys' with GID 3.
Creating group 'mem' with GID 8.
Creating group 'ftp' with GID 11.
Creating group 'mail' with GID 12.
Creating group 'log' with GID 19.
Creating group 'smmsp' with GID 25.
Creating group 'proc' with GID 26.
Creating group 'games' with GID 50.
Creating group 'lock' with GID 54.
Creating group 'network' with GID 90.
Creating group 'floppy' with GID 94.
Creating group 'scanner' with GID 96.
Creating group 'power' with GID 98.
Creating group 'nobody' with GID 65534.
Creating group 'adm' with GID 999.
Creating group 'wheel' with GID 998.
Creating group 'utmp' with GID 997.
Creating group 'audio' with GID 996.
Creating group 'disk' with GID 995.
Creating group 'input' with GID 994.
Creating group 'kmem' with GID 993.
Creating group 'kvm' with GID 992.
Creating group 'lp' with GID 991.
Creating group 'optical' with GID 990.
Creating group 'render' with GID 989.
Creating group 'sgx' with GID 988.
Creating group 'storage' with GID 987.
Creating group 'tty' with GID 5.
Creating group 'uucp' with GID 986.
Creating group 'video' with GID 985.
Creating group 'users' with GID 984.
Creating group 'groups' with GID 983.
Creating group 'systemd-journal' with GID 982.
Creating group 'rfkill' with GID 981.
Creating group 'bin' with GID 1.
Creating user 'bin' (n/a) with UID 1 and GID 1.
Creating group 'daemon' with GID 2.
Creating user 'daemon' (n/a) with UID 2 and GID 2.
Creating user 'mail' (n/a) with UID 8 and GID 12.
Creating user 'ftp' (n/a) with UID 14 and GID 11.
Creating group 'http' with GID 33.
Creating user 'http' (n/a) with UID 33 and GID 33.
Creating user 'nobody' (Kernel Overflow User) with UID 65534 and GID 65534.
Creating group 'dbus' with GID 81.
Creating user 'dbus' (System Message Bus) with UID 81 and GID 81.
Creating group 'systemd-coredump' with GID 980.
Creating user 'systemd-coredump' (systemd Core Dumper) with UID 980 and GID 980.
Creating group 'systemd-network' with GID 979.
Creating user 'systemd-network' (systemd Network Management) with UID 979 and GID 979.
Creating group 'systemd-oom' with GID 978.
Creating user 'systemd-oom' (systemd Userspace OOM Killer) with UID 978 and GID 978.
Creating group 'systemd-journal-remote' with GID 977.
Creating user 'systemd-journal-remote' (systemd Journal Remote) with UID 977 and GID 977.
Creating group 'systemd-resolve' with GID 976.
Creating user 'systemd-resolve' (systemd Resolver) with UID 976 and GID 976.
Creating group 'systemd-timesync' with GID 975.
Creating user 'systemd-timesync' (systemd Time Synchronization) with UID 975 and GID 975.
Creating group 'tss' with GID 974.
Creating user 'tss' (tss user for tpm2) with UID 974 and GID 974.
Creating group 'uuidd' with GID 68.
Creating user 'uuidd' (n/a) with UID 68 and GID 68.
Created symlink /etc/systemd/system/getty.target.wants/getty@tty1.service → /usr/lib/systemd/system/getty@.service.
Created symlink /etc/systemd/system/multi-user.target.wants/remote-fs.target → /usr/lib/systemd/system/remote-fs.target.
Created symlink /etc/systemd/system/sockets.target.wants/systemd-userdbd.socket → /usr/lib/systemd/system/systemd-userdbd.socket.
Optional dependencies for systemd
    libmicrohttpd: systemd-journal-gatewayd and systemd-journal-remote
    quota-tools: kernel-level quota management
    systemd-sysvcompat: symlink package to provide sysvinit binaries
    systemd-ukify: combine kernel and initrd into a signed Unified Kernel Image
    polkit: allow administration as unprivileged user
    curl: systemd-journal-upload, machinectl pull-tar and pull-raw [installed]
    gnutls: systemd-journal-gatewayd and systemd-journal-remote [installed]
    qrencode: show QR codes
    iptables: firewall features
    libbpf: support BPF programs
    libpwquality: check password quality
    libfido2: unlocking LUKS2 volumes with FIDO2 token
    libp11-kit: support PKCS#11 [installed]
    tpm2-tss: unlocking LUKS2 volumes with TPM2 [installed]
installing libevdev...
installing libgudev...
installing libwacom...
Optional dependencies for libwacom
    python-libevdev: for libwacom-show-stylus
    python-pyudev: for libwacom-show-stylus
installing libinput...
Optional dependencies for libinput
    gtk4: libinput debug-gui
    python-pyudev: libinput measure
    python-libevdev: libinput measure
    python-yaml: used by various tools
installing xkeyboard-config...
installing libxkbcommon...
Optional dependencies for libxkbcommon
    libxkbcommon-x11: xkbcli interactive-x11 [pending]
    wayland: xkbcli interactive-wayland [installed]
installing libxkbcommon-x11...
installing duktape...
installing libproxy...
installing libdaemon...
installing avahi...
Optional dependencies for avahi
    gtk3: avahi-discover, avahi-discover-standalone, bshell, bssh, bvnc
    libevent: libevent bindings [installed]
    nss-mdns: NSS support for mDNS
    python-dbus: avahi-bookmarks, avahi-discover
    python-gobject: avahi-bookmarks, avahi-discover
    python-twisted: avahi-bookmarks
    qt5-base: qt5 bindings [pending]
installing libcups...
installing double-conversion...
installing md4c...
installing qt5-translations...
installing qt5-base...
Optional dependencies for qt5-base
    qt5-svg: to use SVG icon themes
    qt5-wayland: to run Qt applications in a Wayland session
    postgresql-libs: PostgreSQL driver
    mariadb-libs: MariaDB driver
    unixodbc: ODBC driver
    libfbclient: Firebird/iBase driver
    freetds: MS SQL driver
    gtk3: GTK platform plugin
    perl: for fixqt4headers and syncqt [installed]
:: Running post-transaction hooks...
( 1/13) Creating system user accounts...
Creating group 'avahi' with GID 973.
Creating user 'avahi' (Avahi mDNS/DNS-SD daemon) with UID 973 and GID 973.
( 2/13) Updating journal message catalog...
( 3/13) Reloading system manager configuration...
  Skipped: Current root is not booted.
( 4/13) Reloading user manager configuration...
  Skipped: Current root is not booted.
( 5/13) Updating udev hardware database...
( 6/13) Applying kernel sysctl settings...
  Skipped: Current root is not booted.
( 7/13) Creating temporary files...
( 8/13) Reloading device manager configuration...
  Skipped: Device manager is not running.
( 9/13) Arming ConditionNeedsUpdate...
(10/13) Updating the MIME type database...
(11/13) Updating fontconfig configuration...
(12/13) Reloading system bus configuration...
  Skipped: Current root is not booted.
(13/13) Updating fontconfig cache...
[?25h==> Checking buildtime dependencies...
==> Installing missing dependencies...
[?25lresolving dependencies...
looking for conflicting packages...

Packages (4) perl-error-0.17029-5  perl-mailtools-2.21-7  perl-timedate-2.33-5
             git-2.43.0-1

Total Download Size:    6.28 MiB
Total Installed Size:  26.66 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 git-2.43.0-1-x86_64 downloading...
 perl-mailtools-2.21-7-any downloading...
 perl-timedate-2.33-5-any downloading...
 perl-error-0.17029-5-any downloading...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
:: Processing package changes...
installing perl-error...
installing perl-timedate...
installing perl-mailtools...
installing git...
Optional dependencies for git
    tk: gitk and git gui
    openssh: ssh transport and crypto
    perl-libwww: git svn
    perl-term-readkey: git svn and interactive.singlekey setting
    perl-io-socket-ssl: git send-email TLS support
    perl-authen-sasl: git send-email TLS support
    perl-mediawiki-api: git mediawiki support
    perl-datetime-format-iso8601: git mediawiki support
    perl-lwp-protocol-https: git mediawiki https support
    perl-cgi: gitweb (web interface) support
    python: git svn & git p4
    subversion: git svn
    org.freedesktop.secrets: keyring credential helper
    libsecret: libsecret credential helper [installed]
:: Running post-transaction hooks...
(1/4) Creating system user accounts...
Creating group 'git' with GID 972.
Creating user 'git' (git daemon user) with UID 972 and GID 972.
(2/4) Reloading system manager configuration...
  Skipped: Current root is not booted.
(3/4) Arming ConditionNeedsUpdate...
(4/4) Warn about old perl modules
[?25h==> Retrieving sources...
  -> Found v8.6.5.tar.gz
==> WARNING: Skipping all source file integrity checks.
==> Extracting sources...
  -> Extracting v8.6.5.tar.gz with bsdtar
==> Starting build()...
Info: creating stash file /build/packetsender/src/PacketSender-8.6.5/src/.qmake.stash
/usr/bin/uic mainwindow.ui -o ui_mainwindow.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic brucethepoodle.ui -o ui_brucethepoodle.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic irisandmarigold.ui -o ui_irisandmarigold.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic languagechooser.ui -o ui_languagechooser.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
languagechooser.ui: Warning: The name 'verticalLayout_5' (QVBoxLayout) is already in use, defaulting to 'verticalLayout_51'.
/usr/bin/uic persistentconnection.ui -o ui_persistentconnection.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic settings.ui -o ui_settings.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic about.ui -o ui_about.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic subnetcalc.ui -o ui_subnetcalc.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic cloudui.ui -o ui_cloudui.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic multicastsetup.ui -o ui_multicastsetup.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic udpflooding.ui -o ui_udpflooding.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic persistenthttp.ui -o ui_persistenthttp.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic postdatagen.ui -o ui_postdatagen.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic panelgenerator.ui -o ui_panelgenerator.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/uic wakeonlan.ui -o ui_wakeonlan.h
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o mainwindow.o mainwindow.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
In file included from /usr/include/qt/QtGui/qtguiglobal.h:43,
                 from /usr/include/qt/QtWidgets/qtwidgetsglobal.h:43,
                 from /usr/include/qt/QtWidgets/qmainwindow.h:43,
                 from /usr/include/qt/QtWidgets/QMainWindow:1,
                 from mainwindow.h:13,
                 from mainwindow.cpp:10:
mainwindow.cpp: In member function ‘void MainWindow::loadPacketsTable()’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
mainwindow.cpp:847:5: note: in expansion of macro ‘foreach’
  847 |     foreach (tempPacket, packetsSaved) {
      |     ^~~~~~~
In file included from mainwindow.h:26:
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
mainwindow.cpp:898:5: note: in expansion of macro ‘foreach’
  898 |     foreach (tempPacket, packetsSavedFiltered) {
      |     ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
mainwindow.cpp: In member function ‘void MainWindow::sendClick(QString)’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
mainwindow.cpp:1025:5: note: in expansion of macro ‘foreach’
 1025 |     foreach (toSend, packetsSaved) {
      |     ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
mainwindow.cpp:1072:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1072 |             lastSendPacket = toSend;
      |                              ^~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
mainwindow.cpp: In member function ‘void MainWindow::on_testPacketButton_clicked()’:
mainwindow.cpp:1306:22: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1306 |     lastSendPacket = testPacket;
      |                      ^~~~~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
mainwindow.cpp: In member function ‘void MainWindow::packetTable_checkMultiSelected()’:
mainwindow.cpp:1719:67: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1719 |         clickedPacket = Packet::fetchTableWidgetItemData(checkItem);
      |                                                                   ^
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
mainwindow.cpp: In member function ‘void MainWindow::on_saveLogButton_clicked()’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
mainwindow.cpp:2091:5: note: in expansion of macro ‘foreach’
 2091 |     foreach (tempPacket, packetsLogged.list()) {
      |     ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
mainwindow.cpp: In member function ‘void MainWindow::on_actionImport_Packets_JSON_triggered()’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
mainwindow.cpp:2282:5: note: in expansion of macro ‘foreach’
 2282 |     foreach (importPacket, importList) {
      |     ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
mainwindow.cpp:2298:13: note: in expansion of macro ‘foreach’
 2298 |             foreach (importPacket, importList) {
      |             ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
mainwindow.cpp: In member function ‘void MainWindow::packetsImported(QList<Packet>)’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
mainwindow.cpp:2388:9: note: in expansion of macro ‘foreach’
 2388 |         foreach (importPacket, packetSet) {
      |         ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
mainwindow.cpp: In member function ‘void MainWindow::on_actionImport_Packets_triggered()’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
mainwindow.cpp:2419:5: note: in expansion of macro ‘foreach’
 2419 |     foreach (importPacket, importList) {
      |     ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
mainwindow.cpp:2435:13: note: in expansion of macro ‘foreach’
 2435 |             foreach (importPacket, importList) {
      |             ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
mainwindow.cpp: In member function ‘void MainWindow::on_udptcpComboBox_currentIndexChanged(const QString&)’:
mainwindow.cpp:2585:71: warning: unused parameter ‘arg1’ []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wunused-parameter-Wunused-parameter]8;;]
 2585 |  MainWindow::on_udptcpComboBox_currentIndexChanged(const QString &arg1)
      |                                                    ~~~~~~~~~~~~~~~^~~~

mainwindow.cpp: In member function ‘void MainWindow::on_udptcpComboBox_currentIndexChanged(int)’:
mainwindow.cpp:2783:60: warning: unused parameter ‘index’ []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wunused-parameter-Wunused-parameter]8;;]
 2783 | void MainWindow::on_udptcpComboBox_currentIndexChanged(int index)
      |                                                        ~~~~^~~~~
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o languagechooser.o languagechooser.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o panel.o panel.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o sendpacketbutton.o sendpacketbutton.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o brucethepoodle.o brucethepoodle.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o irisandmarigold.o irisandmarigold.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o persistentconnection.o persistentconnection.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
In file included from /usr/include/qt/QtGui/qtguiglobal.h:43,
                 from /usr/include/qt/QtWidgets/qtwidgetsglobal.h:43,
                 from /usr/include/qt/QtWidgets/qdialog.h:43,
                 from /usr/include/qt/QtWidgets/QDialog:1,
                 from persistentconnection.h:3,
                 from persistentconnection.cpp:1:
persistentconnection.cpp: In member function ‘void PersistentConnection::loadComboBox()’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
persistentconnection.cpp:80:5: note: in expansion of macro ‘foreach’
   80 |     foreach (tempPacket, packetsSaved) {
      |     ^~~~~~~
In file included from persistentconnection.h:8:
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
persistentconnection.cpp: In member function ‘void PersistentConnection::init()’:
persistentconnection.cpp:181:24: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
  181 |         reSendPacket = sendPacket;
      |                        ^~~~~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
persistentconnection.cpp: In member function ‘void PersistentConnection::loadTrafficView()’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
persistentconnection.cpp:290:9: note: in expansion of macro ‘foreach’
  290 |         foreach (loopPkt, trafficList) {
      |         ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
persistentconnection.cpp:303:9: note: in expansion of macro ‘foreach’
  303 |         foreach (loopPkt, trafficList) {
      |         ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
persistentconnection.cpp: In member function ‘void PersistentConnection::on_LoadButton_clicked()’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
persistentconnection.cpp:434:5: note: in expansion of macro ‘foreach’
  434 |     foreach (tempPacket, packetsSaved) {
      |     ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o about.o about.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o subnetcalc.o subnetcalc.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o cloudui.o cloudui.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o multicastsetup.o multicastsetup.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o udpflooding.o udpflooding.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o packetlogmodel.o packetlogmodel.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o postdatagen.o postdatagen.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o panelgenerator.o panelgenerator.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
panelgenerator.cpp: In static member function ‘static void PanelGenerator::showFileInFolder(const QString&)’:
panelgenerator.cpp:1128:54: warning: unused parameter ‘path’ []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wunused-parameter-Wunused-parameter]8;;]
 1128 | void PanelGenerator::showFileInFolder(const QString &path){
      |                                       ~~~~~~~~~~~~~~~^~~~
panelgenerator.cpp: In member function ‘void PanelGenerator::buildPackage(bool)’:
panelgenerator.cpp:1139:40: warning: unused parameter ‘isMac’ []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wunused-parameter-Wunused-parameter]8;;]
 1139 | void PanelGenerator::buildPackage(bool isMac)
      |                                   ~~~~~^~~~~
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o persistenthttp.o persistenthttp.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o wakeonlan.o wakeonlan.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
wakeonlan.cpp: In member function ‘void WakeOnLAN::on_buttonBox_accepted()’:
wakeonlan.cpp:36:89: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
   36 |  = Packet::generateWakeOnLAN(mac, ui->portBox->currentText().toUInt());
      |                                                                      ^

In file included from wakeonlan.h:6,
                 from wakeonlan.cpp:1:
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o main.o main.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
main.cpp: In function ‘int main(int, char**)’:
main.cpp:576:50: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
  576 |             sendPacket = Packet::fetchFromDB(name);
      |                                                  ^
In file included from settings.h:8,
                 from main.cpp:18:
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o mainpacketreceiver.o mainpacketreceiver.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
mainpacketreceiver.cpp: In member function ‘void MainPacketReceiver::toTrafficLog(Packet)’:
mainpacketreceiver.cpp:55:26: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
   55 |         receivedPacket = sendpacket;
      |                          ^~~~~~~~~~
In file included from tcpthread.h:15,
                 from packetnetwork.h:27,
                 from mainpacketreceiver.h:4,
                 from mainpacketreceiver.cpp:1:
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o packetnetwork.o packetnetwork.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
packetnetwork.cpp: In member function ‘void PacketNetwork::packetToSend(Packet)’:
packetnetwork.cpp:764:32: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
  764 |         pcWindow->sendPacket = sendpacket;
      |                                ^~~~~~~~~~
In file included from tcpthread.h:15,
                 from packetnetwork.h:27,
                 from packetnetwork.cpp:11:
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o packet.o packet.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
In file included from /usr/include/qt/QtCore/qnamespace.h:43,
                 from /usr/include/qt/QtCore/qobjectdefs.h:48,
                 from /usr/include/qt/QtCore/qobject.h:46,
                 from /usr/include/qt/QtCore/QObject:1,
                 from packet.h:13,
                 from packet.cpp:11:
packet.cpp: In static member function ‘static Packet Packet::fetchFromList(QString, QList<Packet>)’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
packet.cpp:654:5: note: in expansion of macro ‘foreach’
  654 |     foreach (packet, packets) {
      |     ^~~~~~~
packet.cpp:106:1: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
  106 | Packet::Packet(const Packet &other)
      | ^~~~~~
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o settings.o settings.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
settings.cpp: In lambda function:
settings.cpp:178:72: warning: unused parameter ‘val’ []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wunused-parameter-Wunused-parameter]8;;]
  178 | nnect(ui->dateFormat, &QLineEdit::textChanged, this, [=](QString val) {
      |                                                          ~~~~~~~~^~~

settings.cpp: In lambda function:
settings.cpp:186:72: warning: unused parameter ‘val’ []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wunused-parameter-Wunused-parameter]8;;]
  186 | nnect(ui->timeFormat, &QLineEdit::textChanged, this, [=](QString val) {
      |                                                          ~~~~~~~~^~~

In file included from /usr/include/qt/QtGui/qtguiglobal.h:43,
                 from /usr/include/qt/QtWidgets/qtwidgetsglobal.h:43,
                 from /usr/include/qt/QtWidgets/qdialog.h:43,
                 from /usr/include/qt/QtWidgets/QDialog:1,
                 from settings.h:7,
                 from settings.cpp:1:
settings.cpp: In constructor ‘Settings::Settings(QWidget*)’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
settings.cpp:279:5: note: in expansion of macro ‘foreach’
  279 |     foreach (tempPacket, packetsSaved) {
      |     ^~~~~~~
In file included from settings.h:8:
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
settings.cpp: In member function ‘void Settings::on_responsePacketBox_currentIndexChanged(const QString&)’:
/usr/include/qt/QtCore/qglobal.h:1116:30: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
 1116 |         if (variable = *name.i; false) {} else
      |                              ^
/usr/include/qt/QtCore/qglobal.h:1135:5: note: in expansion of macro ‘Q_FOREACH_IMPL’
 1135 |     Q_FOREACH_IMPL(variable, Q_FOREACH_JOIN(_container_, __LINE__), container)
      |     ^~~~~~~~~~~~~~
/usr/include/qt/QtCore/qglobal.h:1142:21: note: in expansion of macro ‘Q_FOREACH’
 1142 | #    define foreach Q_FOREACH
      |                     ^~~~~~~~~
settings.cpp:692:5: note: in expansion of macro ‘foreach’
  692 |     foreach (tempPacket, packetsSaved) {
      |     ^~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
settings.cpp: In member function ‘void Settings::on_genAuthCheck_clicked(bool)’:
settings.cpp:1037:45: warning: unused parameter ‘checked’ []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wunused-parameter-Wunused-parameter]8;;]
 1037 | void Settings::on_genAuthCheck_clicked(bool checked)
      |                                        ~~~~~^~~~~~~
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o tcpthread.o tcpthread.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
tcpthread.cpp: In member function ‘void TCPThread::sendAnother(Packet)’:
tcpthread.cpp:55:24: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
   55 |     this->sendPacket = sendPacket;
      |                        ^~~~~~~~~~
In file included from tcpthread.h:15,
                 from tcpthread.cpp:11:
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
tcpthread.cpp: In member function ‘virtual void TCPThread::run()’:
tcpthread.cpp:685:23: warning: implicitly-declared ‘Packet& Packet::operator=(const Packet&)’ is deprecated []8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wdeprecated-copy-Wdeprecated-copy]8;;]
  685 |         sendPacket =  tcpPacket;
      |                       ^~~~~~~~~
packet.h:46:9: note: because ‘Packet’ has user-provided ‘Packet::Packet(const Packet&)’
   46 |         Packet(const Packet &other);
      |         ^~~~~~
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o threadedtcpserver.o threadedtcpserver.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/rcc -name packetsender packetsender.qrc -o qrc_packetsender.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o qrc_packetsender.o qrc_packetsender.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/rcc -name translations translations.qrc -o qrc_translations.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o qrc_translations.o qrc_translations.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/rcc -name style qdarkstyle/style.qrc -o qrc_style.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o qrc_style.o qrc_style.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -dM -E -o moc_predefs.h /usr/lib/qt/mkspecs/features/data/dummy.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include mainwindow.h -o moc_mainwindow.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_mainwindow.o moc_mainwindow.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include languagechooser.h -o moc_languagechooser.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_languagechooser.o moc_languagechooser.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include sendpacketbutton.h -o moc_sendpacketbutton.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_sendpacketbutton.o moc_sendpacketbutton.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include brucethepoodle.h -o moc_brucethepoodle.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_brucethepoodle.o moc_brucethepoodle.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include irisandmarigold.h -o moc_irisandmarigold.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_irisandmarigold.o moc_irisandmarigold.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include persistentconnection.h -o moc_persistentconnection.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_persistentconnection.o moc_persistentconnection.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include about.h -o moc_about.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_about.o moc_about.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include subnetcalc.h -o moc_subnetcalc.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_subnetcalc.o moc_subnetcalc.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include cloudui.h -o moc_cloudui.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_cloudui.o moc_cloudui.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include multicastsetup.h -o moc_multicastsetup.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_multicastsetup.o moc_multicastsetup.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include udpflooding.h -o moc_udpflooding.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_udpflooding.o moc_udpflooding.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include packetlogmodel.h -o moc_packetlogmodel.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_packetlogmodel.o moc_packetlogmodel.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include postdatagen.h -o moc_postdatagen.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_postdatagen.o moc_postdatagen.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include panelgenerator.h -o moc_panelgenerator.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_panelgenerator.o moc_panelgenerator.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include persistenthttp.h -o moc_persistenthttp.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_persistenthttp.o moc_persistenthttp.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include wakeonlan.h -o moc_wakeonlan.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_wakeonlan.o moc_wakeonlan.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include mainpacketreceiver.h -o moc_mainpacketreceiver.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_mainpacketreceiver.o moc_mainpacketreceiver.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include packetnetwork.h -o moc_packetnetwork.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_packetnetwork.o moc_packetnetwork.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include settings.h -o moc_settings.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_settings.o moc_settings.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include tcpthread.h -o moc_tcpthread.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_tcpthread.o moc_tcpthread.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
/usr/bin/moc -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB --include /build/packetsender/src/PacketSender-8.6.5/src/moc_predefs.h -I/usr/lib/qt/mkspecs/linux-g++ -I/build/packetsender/src/PacketSender-8.6.5/src -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I/usr/include/c++/13.2.1 -I/usr/include/c++/13.2.1/x86_64-pc-linux-gnu -I/usr/include/c++/13.2.1/backward -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include -I/usr/local/include -I/usr/lib/gcc/x86_64-pc-linux-gnu/13.2.1/include-fixed -I/usr/include threadedtcpserver.h -o moc_threadedtcpserver.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -c -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -Wall -Wextra -D_REENTRANT -fPIC -DGUI_BUILD -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00 -DGIT_CURRENT_SHA1=\"\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/qt -I/usr/include/qt/QtWidgets -I/usr/include/qt/QtGui -I/usr/include/qt/QtNetwork -I/usr/include/qt/QtCore -I. -I. -I/usr/lib/qt/mkspecs/linux-g++ -o moc_threadedtcpserver.o moc_threadedtcpserver.cpp
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
g++ -Wl,-O1,--sort-common,--as-needed,-z,relro -pipe -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -flto -fno-fat-lto-objects -fuse-linker-plugin -fPIC -o packetsender mainwindow.o languagechooser.o panel.o sendpacketbutton.o brucethepoodle.o irisandmarigold.o persistentconnection.o about.o subnetcalc.o cloudui.o multicastsetup.o udpflooding.o packetlogmodel.o postdatagen.o panelgenerator.o persistenthttp.o wakeonlan.o main.o mainpacketreceiver.o packetnetwork.o packet.o settings.o tcpthread.o threadedtcpserver.o qrc_packetsender.o qrc_translations.o qrc_style.o moc_mainwindow.o moc_languagechooser.o moc_sendpacketbutton.o moc_brucethepoodle.o moc_irisandmarigold.o moc_persistentconnection.o moc_about.o moc_subnetcalc.o moc_cloudui.o moc_multicastsetup.o moc_udpflooding.o moc_packetlogmodel.o moc_postdatagen.o moc_panelgenerator.o moc_persistenthttp.o moc_wakeonlan.o moc_mainpacketreceiver.o moc_packetnetwork.o moc_settings.o moc_tcpthread.o moc_threadedtcpserver.o   /usr/lib/libQt5Widgets.so /usr/lib/libQt5Gui.so /usr/lib/libQt5Network.so /usr/lib/libQt5Core.so -lGL -lpthread   
fatal: not a git repository (or any of the parent directories): .git
fatal: not a git repository (or any of the parent directories): .git
lto-wrapper: warning: using serial compilation of 22 LTRANS jobs
lto-wrapper: note: see the ]8;;https://gcc.gnu.org/onlinedocs/gcc/Optimize-Options.html#index-flto‘-flto’ option documentation]8;; for more information
==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
  -> Removing libtool files...
  -> Purging unwanted files...
  -> Removing static library files...
  -> Stripping unneeded symbols from binaries and libraries...
  -> Compressing man and info pages...
==> Checking for packaging issues...
==> Creating package "packetsender"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Generating .MTREE file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: packetsender 8.6.5-1 (Sat 20 Jan 2024 09:23:20 PM EST)
==> Cleaning up...
==> Removing installed dependencies...
[?25lchecking dependencies...
:: gettext optionally requires git: for autopoint infrastructure updates
warning: dependency cycle detected:
warning: harfbuzz will be removed after its freetype2 dependency
warning: dependency cycle detected:
warning: mesa will be removed after its libglvnd dependency

Packages (77) argon2-20190702-5  avahi-1:0.8+r194+g3f79789-1
              cryptsetup-2.6.1-3  dbus-1.14.10-2  dbus-broker-35-2
              dbus-broker-units-35-2  default-cursors-2-1
              device-mapper-2.03.23-1  double-conversion-3.3.0-1
              duktape-2.7.0-6  fontconfig-2:2.15.0-2  freetype2-2.13.2-1
              git-2.43.0-1  graphite-1:1.3.14-3  harfbuzz-8.3.0-2
              hwdata-0.378-1  kbd-2.6.4-1  kmod-31-1  libcups-1:2.4.7-2
              libdaemon-0.14-5  libdrm-2.4.120-1  libedit-20230828_3.1-1
              libevdev-1.13.1-1  libglvnd-1.7.0-1  libgudev-238-1
              libice-1.1.1-2  libinput-1.25.0-1  libjpeg-turbo-3.0.1-1
              libomxil-bellagio-0.9.3-4  libpciaccess-0.17-1  libpng-1.6.40-2
              libproxy-0.5.3-2  libsm-1.2.4-1  libunwind-1.7.2-1
              libwacom-2.9.0-2  libx11-1.8.7-1  libxau-1.0.11-2  libxcb-1.16-1
              libxdamage-1.1.6-1  libxdmcp-1.1.4-2  libxext-1.3.5-1
              libxfixes-6.0.1-1  libxi-1.8.1-1  libxkbcommon-1.6.0-1
              libxkbcommon-x11-1.6.0-1  libxmu-1.1.4-1  libxrender-0.9.11-1
              libxshmfence-1.3.2-1  libxt-1.3.0-1  libxxf86vm-1.1.5-1
              llvm-libs-16.0.6-1  lm_sensors-1:3.6.0.r41.g31d1f125-2
              md4c-0.5.0-1  mesa-1:23.3.3-1  mtdev-1.1.6-2
              perl-error-0.17029-5  perl-mailtools-2.21-7  perl-timedate-2.33-5
              popt-1.19-1  qt5-base-5.15.12+kde+r147-1
              qt5-translations-5.15.12-1  shared-mime-info-2.4-1
              systemd-255.2-3  tslib-1.22-1  vulkan-icd-loader-1.3.274-1
              wayland-1.22.0-1  xcb-proto-1.16.0-1  xcb-util-0.4.1-1
              xcb-util-image-0.4.1-2  xcb-util-keysyms-0.4.1-4
              xcb-util-renderutil-0.3.10-1  xcb-util-wm-0.4.2-1
              xdg-utils-1.2.0r25+g0f49cf5-1  xkeyboard-config-2.40-1
              xorg-xprop-1.2.6-1  xorg-xset-1.2.5-1  xorgproto-2023.2-1

Total Removed Size:  435.84 MiB

:: Do you want to remove these packages? [Y/n] 
:: Processing package changes...
removing qt5-base...
removing xdg-utils...
removing xorg-xset...
removing xorg-xprop...
removing xcb-util-wm...
removing xcb-util-renderutil...
removing xcb-util-keysyms...
removing xcb-util-image...
removing xcb-util...
removing tslib...
removing shared-mime-info...
removing qt5-translations...
removing md4c...
removing libxrender...
removing libxmu...
removing libxt...
removing libxkbcommon-x11...
removing libxkbcommon...
removing xkeyboard-config...
removing libxi...
removing libsm...
removing libproxy...
removing libjpeg-turbo...
removing libinput...
removing mtdev...
removing libwacom...
removing libice...
removing libgudev...
removing systemd...
removing libglvnd...
removing mesa...
removing wayland...
removing vulkan-icd-loader...
removing lm_sensors...
removing llvm-libs...
removing libxxf86vm...
removing libxshmfence...
removing libxdamage...
removing libxfixes...
removing libunwind...
removing libomxil-bellagio...
removing libxext...
removing libx11...
removing libxcb...
removing xcb-proto...
removing libxdmcp...
removing libxau...
removing xorgproto...
removing libevdev...
removing libedit...
removing libdrm...
removing libpciaccess...
removing libcups...
removing kmod...
removing kbd...
removing hwdata...
removing git...
removing perl-mailtools...
removing perl-timedate...
removing perl-error...
removing fontconfig...
removing freetype2...
removing libpng...
removing harfbuzz...
removing graphite...
removing duktape...
removing double-conversion...
removing default-cursors...
removing dbus-broker-units...
removing dbus-broker...
removing cryptsetup...
removing popt...
removing device-mapper...
removing avahi...
removing libdaemon...
removing dbus...
removing argon2...
[?25h